<!doctype html>
	<html lang="en">
    <head>
     <meta charser="utf-8">
       <meta name="viewport" content="width=device-width, initial-scale=1.0"> 
    </head>
    <body>
        <nav class="navbar navbar-default" id="con" style="background-color: green; width: 75%;" >
        <div class="container-fluid">
            <div class="navbar-header">
                <div id="menu"></div>
                <div id="menu"></div>
                <div id="menu"></div>
                <a href="#" class="navbar-brand" style="color: white;">Desserts</a>
            </div>
            <div class="searchbar">
                <input class="form-control" type="text" name="search" [(ngModel)]="searchTerm" autocomplete="off">
                <div class="icon">
                <i class="fa fa-fw fa-search"></i>
                </div>
            </div>
        </div>
        </nav>
            <div class="row" >
                <div class="col-md-3" *ngFor="let product of products | filter:searchTerm">
                    <a href="#"><img [src]="product.images[0].url" (click)="addProductsToCart(product)"> </a>
                        <div class="caption" style="text-align: center;font-family: Arial; color: black;">
                             <h3>{{ product.name }}</h3>
                             <p>{{ product.price | currency }}</p>
                        </div> 
                </div>
            </div>
    </body>
    </html>
            
